﻿using ff14bot.Helpers;
using Newtonsoft.Json;
using System.Configuration;
using System.IO;

namespace RetBot.Settings
{
    public class RetBotSettings : JsonSettings
    {
        [JsonIgnore]
        private static RetBotSettings _instance;
        public static RetBotSettings instance { get { return _instance ?? (_instance = new RetBotSettings("RetBotSettings")); } }
        public RetBotSettings(string filename) : base(Path.Combine(CharacterSettingsDirectory, "RetBot.json")) { }

        [Setting]
        public string RetainerName_1 { get; set; }
        public string RetainerName_2 { get; set; }
        public string RetainerName_3 { get; set; }
        public string RetainerName_4 { get; set; }
        public string Lan_Complete { get; set; }
        public string Lan_Quit { get; set; }
        public string Lan_V_Complete { get; set; }
    }
}
